## org.apache.myfaces.custom.graphicimageajax
Class GraphicImageAjaxRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlImageRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlImageRenderer
                      org.apache.myfaces.custom.graphicimageajax.GraphicImageAjaxRenderer

public class GraphicImageAjaxRenderer
extends org.apache.myfaces.renderkit.html.ext.HtmlImageRenderer

Version:
  $Revision: 292080 $ $Date: 2005-05-23 19:39:37 +0200 (Mon, 23 May 2005) $
Author:
  Sylvain Vieujot

Field Summary
`static java.lang.String` `RENDERER_TYPE`

Constructor Summary
`GraphicImageAjaxRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### GraphicImageAjaxRenderer

    public GraphicImageAjaxRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)